#ifndef	_CRD_H
#define	_CRD_H

#include <sys/types.h>


typedef enum 	_routeMethod
{
	ByPrefix = 0,
	ByWholeNumber
}routeMethod;

typedef enum 	_NumberMethod
{
	ByCaller = 0,
	ByCalled
}NumberMethod;

/* call re-direct */

#define	MAX_DIGITS_LEN	16


int	IsCRDServiceNumber(char *number);
/* retval=0/1, no/yes */

int	IsPostpaidAllowed();
/* retval=0/1, no/yes */

int	GetCRDDestination(char *src_number, char *dst_number,u_char	type);
int	CheckCRDRingBackServiceKey(int serviceKey);
/* retval=0/1, not find/find match destination */

#endif
